grk::EncodingParams Struct Reference

`#include <CodingParams.h>`

## Public Attributes

size_t | max_comp_size_
| Maximum rate for each component.
uint32_t | newTilePartProgressionPosition
| Position of tile part flag in progression order.
uint8_t | newTilePartProgressionDivider_
| Flag determining tile part generation.
bool | allocationByRateDistortion_
| allocation by rate/distortion
bool | allocationByFixedQuality_
| allocation by fixed_quality
bool | enableTilePartGeneration_
| Enabling Tile part generation.
bool | writePLT
bool | writeTLM
uint32_t | rateControlAlgorithm

## Member Data Documentation

## allocationByFixedQuality_

bool grk::EncodingParams::allocationByFixedQuality_

allocation by fixed_quality

Referenced by grk::CodeStreamCompress::init(), grk::TileProcessor::pcrdBisectFeasible(), and grk::TileProcessor::pcrdBisectSimple().

## allocationByRateDistortion_

bool grk::EncodingParams::allocationByRateDistortion_

allocation by rate/distortion

Referenced by grk::CodeStreamCompress::init().

## enableTilePartGeneration_

bool grk::EncodingParams::enableTilePartGeneration_

Enabling Tile part generation.

Referenced by grk::TileProcessor::canPreCalculateTileLen(), and grk::CodeStreamCompress::init().

## max_comp_size_

size_t grk::EncodingParams::max_comp_size_

Maximum rate for each component.

If == 0, component size limitation is not considered

Referenced by grk::CodeStreamCompress::init().

## newTilePartProgressionDivider_

uint8_t grk::EncodingParams::newTilePartProgressionDivider_

Flag determining tile part generation.

Referenced by grk::CodeStreamCompress::init().

## newTilePartProgressionPosition

uint32_t grk::EncodingParams::newTilePartProgressionPosition

Position of tile part flag in progression order.

## rateControlAlgorithm

uint32_t grk::EncodingParams::rateControlAlgorithm

Referenced by grk::CodeStreamCompress::init(), and grk::TileProcessor::rateAllocate().

## writePLT

bool grk::EncodingParams::writePLT

Referenced by grk::TileProcessor::doCompress(), and grk::CodeStreamCompress::init().

## writeTLM

bool grk::EncodingParams::writeTLM

Referenced by grk::CodeStreamCompress::end(), grk::CodeStreamCompress::init(), and grk::CodeStreamCompress::init_header_writing().

The documentation for this struct was generated from the following file:

- CodingParams.h